## cmatrix 1.2a%2Bgit20181122

=== debian/changelog ===
cmatrix (1.2a+git20181122-1) unstable; urgency=medium

  * New maintainer. (ITS; Closes: #912598)
  * New upstream on GitHub.
  * debian/control:
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.1.
    + Use new upstream homepage.
    + Use Vcs-* fields and point to git repo under Salsa Debian
      group.
    + Use dh syntax instead of cdbs.
  * debian/rules:
    + Enable full hardening.
  * debian/patches:
    + Add patch to restore man page synopsis description.
  * debian/desktop: Add .desktop file to replace .menu file
    for desktop program entry.
  * debian/copyright: Rewrite using machine-readable format.
  * debian/watch: Monitor new upstream.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Dec 2018 15:22:33 -0500

cmatrix (1.2a-5) unstable; urgency=low

  * Corrected package description. Closes: #711724
  * Update Standards-Version to 3.9.5
  * Add ${misc:Depends} to cmatrix binary package Depends
  * Set source format to 1.0

 -- Diego Fernández Durán <diego@goedi.net>  Sun, 16 Mar 2014 15:23:46 +0100

cmatrix (1.2a-4) unstable; urgency=low

  * New maintainer. Closes: #465929

 -- Diego Fernández Durán <diego@goedi.net>  Mon, 28 Jul 2008 22:03:08 +0200

cmatrix (1.2a-3) unstable; urgency=low

  * QA upload.
  * Acknowledging NMU (Closes: #362323, #290089)
  * debian/control
    - set maintainer to QA Group
    - bump Standards-Version to 3.8.0
    - bump debhelper versione build-dep to at least 5
    - reformat of cmatrix short description
    - added period at end of cmatrix long description
    - added Homepage field
    - replaced recommends on console-tools with kbd; Closes: #387129, #281796
    - added build-dep to autotools-dev to fix outdated config.{sub,guess};
      thanks to Vincent Bernat for noticing
  * debian/copyright
    - indented upstream author and copyright with 4 spaces
    - enhanced license text
    - updated FSF address
  * debian/cmatrix.menu
    - updated section to Screen/Saving
  * cmatrix.1
    - fixed WhatIs manpage section (lintian warning)

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 26 Jul 2008 16:21:19 +0200

cmatrix (1.2a-2.1) unstable; urgency=high

  * Non-maintainer upload with high urgency for fixing RC-bug.
  * Updated to Standards version 3.7.2
  * Completed xfonts transitions (Closes: #362323)
    + Install fonts in /usr/share/fonts/X11
  * Adjust debian/copyright (Closes: #290089)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 12 Dec 2006 05:28:21 +0100

cmatrix (1.2a-2) unstable; urgency=low

  * cmatric.c: Fix segfault on terminal resize (Closes: Bug#268811)
  * debian/control: Change section on cmatrix-xfont to match override

 -- Edward Betts <edward@debian.org>  Thu, 23 Sep 2004 22:37:18 +0100

cmatrix (1.2a-1) unstable; urgency=low

  * New upstream release (Closes: Bug#172587)
  * debian/control: Standards-Version: 3.6.1
  * debian/copyright: version GPL (Closes: Bug#133490)
  * debian/rules: rewrite using cdbs

 -- Edward Betts <edward@debian.org>  Mon, 23 Aug 2004 23:47:06 +0100

cmatrix (1.1b-5) unstable; urgency=low

  * debian/control: split X11 font into seperate package
  * debian/control: no longer depends on xbase-clients
  * debian/control: removed version depends from xutils
  * debian/rules: handle package split
  * debian/rules: gave up using dh_installxfonts,
    rolled my own postinst and postrm (Closes: Bug#89095)

 -- Edward Betts <edward@debian.org>  Tue, 10 Apr 2001 11:31:36 -0600

cmatrix (1.1b-4) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.2
  * debian/rules: Changed to debhelper 3
  * debian/rules: Removed dh_suidregister
  * debian/rules: Removed dh_testversion
  * debian/rules: Added dh_installxfonts (Closes: Bug#89095)
  * debian/rules: Support DEB_BUILD_OPTIONS

 -- Edward Betts <edward@debian.org>  Sun, 25 Mar 2001 04:31:39 -0700

cmatrix (1.1b-3) unstable; urgency=low

  * Added Depends on xutils because postinst uses mkfontdir
    (closes: Bug#79879)

 -- Edward Betts <edward@debian.org>  Tue, 19 Dec 2000 05:25:06 -0700

cmatrix (1.1b-2) unstable; urgency=low

  * Updated Standards-Version to 3.2.1
  * Added version to debhelper build-depends to match dh_testversion

 -- Edward Betts <edward@debian.org>  Mon, 30 Oct 2000 15:13:34 -0700

cmatrix (1.1b-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Depends: kbd|kbd-compat -> Recommends: console-tools
  * debian/README.Debian: removed.
  * debian/copyright: updated with new e-mail and web addresses.
  * debian/watch: updated with new web address.

 -- Edward Betts <edward@debian.org>  Mon, 17 Apr 2000 11:31:14 +0100

cmatrix (1.0b-1) unstable; urgency=low

  * Initial Release.

 -- Edward Betts <edward@debian.org>  Sun,  7 Nov 1999 14:00:35 +0000

## cmatrix 1.2a+git20181122

=== CMakeLists.txt ===
# CMake build system for CMatrix

cmake_minimum_required(VERSION 2.8)

project(CMatrix LANGUAGES C)
set(VERSION "1.2")

# These are relative to CMAKE_INSTALL_PREFIX
# which by default is "/usr/local"
set(CONSOLE_FONTS_DIRS "share/consolefonts" "lib/kbd/consolefonts")
set(X_FONTS_DIRS "lib/X11/fonts/misc" "X11R6/lib/X11/fonts/misc" "share/fonts/X11/misc")

set(MKFONTDIR "/usr/bin/mkfontdir")

add_definitions(-DEXCLUDE_CONFIG_H)
add_definitions(-DVERSION="${VERSION}")

include(CheckIncludeFiles)
check_include_files("sys/ioctl.h" HAVE_SYS_IOCTL_H)
if	(HAVE_SYS_IOCTL_H)
	add_definitions(-DHAVE_SYS_IOCTL_H)
endif	()
check_include_files("unistd.h" HAVE_UNISTD_H)
if	(HAVE_UNISTD_H)
	add_definitions(-DHAVE_UNISTD_H)
endif	()
check_include_files("termios.h" HAVE_TERMIOS_H)
if	(HAVE_TERMIOS_H)
	add_definitions(-DHAVE_TERMIOS_H)
endif	()
check_include_files("termio.h" HAVE_TERMIO_H)
if	(HAVE_TERMIO_H)
	add_definitions(-DHAVE_TERMIO_H)
endif	()

Set(CURSES_NEED_NCURSES TRUE)
find_package(Curses)
include_directories(${CURSES_INCLUDE_DIR})
add_definitions(-DHAVE_NCURSES_H)

add_executable(cmatrix cmatrix.c)

target_link_libraries(cmatrix ${CURSES_LIBRARIES})

install(TARGETS cmatrix DESTINATION bin)

if     (UNIX)
	foreach    (CONSOLE_FONTS_DIR ${CONSOLE_FONTS_DIRS})
		if     (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/${CONSOLE_FONTS_DIR}")
			message(STATUS "Installing matrix console fonts to ${CMAKE_INSTALL_PREFIX}/${CONSOLE_FONTS_DIR}")
			install(FILES
				"${CMAKE_SOURCE_DIR}/matrix.fnt"
				"${CMAKE_SOURCE_DIR}/matrix.psf.gz"
				DESTINATION "${CONSOLE_FONTS_DIR}")
		endif  ()
	endforeach ()
	foreach    (X_FONTS_DIR ${X_FONTS_DIRS})
		if     (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/${X_FONTS_DIR}")
			message(STATUS "Installing matrix X window fonts to ${CMAKE_INSTALL_PREFIX}/${X_FONTS_DIR}")
			install(FILES
				"${CMAKE_SOURCE_DIR}/mtx.pcf"
				DESTINATION "${X_FONTS_DIR}")
			install(CODE
				"message(STATUS \"Running mkfontdir ${CMAKE_INSTALL_PREFIX}/${X_FONTS_DIR} ...\")")
			install(CODE
				"execute_process(COMMAND \"${MKFONTDIR}\" \"${CMAKE_INSTALL_PREFIX}/${X_FONTS_DIR}\")")
			install(CODE
				"message(STATUS \"If this is the first time you have installed CMatrix you will probably have to restart X window in order to use the mtx.pcf font.\")")
		endif  ()
	endforeach ()
endif  ()

=== debian/control ===
Source: cmatrix
Section: misc
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Standards-Version: 4.2.1
Build-Depends:
 debhelper-compat (= 11),
 kbd,
 libncurses5-dev,
Rules-Requires-Root: no
Homepage: https://github.com/abishekvashok/cmatrix
Vcs-Git: https://salsa.debian.org/debian/cmatrix.git
Vcs-Browser: https://salsa.debian.org/debian/cmatrix

Package: cmatrix
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 kbd,
Suggests:
 cmatrix-xfont,
Description: simulates the display from "The Matrix"
 Screen saver for the terminal based in the movie "The Matrix". It works in
 terminals of all dimensions and have the following features:
  * Support terminal resize.
  * Screen saver mode: any key closes it.
  * Selectable color.
  * Change text scroll rate.

Package: cmatrix-xfont
Section: x11
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 cmatrix,
Description: X11 font for cmatrix
 Console Matrix simulates the display from "The Matrix", this package provides
 the font to run cmatrix in an xterm.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cmatrix-$1.tar.gz%" \
 https://github.com/abishekvashok/cmatrix/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## cmatrix 2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8)
 
 project(CMatrix LANGUAGES C)
-set(VERSION "1.2")
+set(VERSION "2.0")
 
 # These are relative to CMAKE_INSTALL_PREFIX
 # which by default is "/usr/local"
@@ -14,6 +14,7 @@
 
 add_definitions(-DEXCLUDE_CONFIG_H)
 add_definitions(-DVERSION="${VERSION}")
+add_definitions(-DUSE_TIOCSTI)
 
 include(CheckIncludeFiles)
 check_include_files("sys/ioctl.h" HAVE_SYS_IOCTL_H)

=== debian/changelog ===
cmatrix (2.0-6) unstable; urgency=medium

  * New maintainer. (Closes: #1037438)
  * debian/cmatrix.desktop:
      - Added new keyword.
      - Updated 'Version' and 'Icon' fields.
  * debian/cmatrix.install: added entry to install the new icon.
  * debian/cmatrix.png: added to provide a high resolution icon.
  * debian/copyright:
      - Added an email address for upstream.
      - Converted the last paragraph of the GPL-3+ in a comment.
      - Updated packaging copyright data.
  * debian/patches/: updated all headers in all patches.
  * debian/rules: removed useless variable 'DEB_LDFLAGS_MAINT_APPEND'.
  * debian/source/include-binaries: created to list image debian/cmatrix.png.
  * debian/tests/control: added a superficial CI test.
  * debian/upstream/metadata: added field Donation.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 08 Sep 2023 08:42:14 -0300

cmatrix (2.0-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Actually set maintainer to Debian QA Group.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Aug 2023 14:20:08 -0400

cmatrix (2.0-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1037438)
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 17:13:47 -0400

cmatrix (2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Boyuan Yang ]
  * Update standards version to 4.5.1, no changes needed.
  * Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jan 2021 00:17:53 -0500

cmatrix (2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Add build-dependency console-setup-linux so that the
      configure script can correctly detect the directory.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2019 15:01:07 -0400

cmatrix (2.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Add patch to fix upstream issue #78.
  * debian/control:
    + Bump debhelper compat to v12.
    + Update build-dependency from libncurses5-dev to libncurses-dev.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 May 2019 13:01:35 -0400

=== debian/control ===
Source: cmatrix
Section: misc
Priority: optional
Maintainer: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Standards-Version: 4.6.2
Build-Depends: console-setup-linux,
               debhelper-compat (= 13),
               kbd,
               libncurses-dev
Rules-Requires-Root: no
Homepage: https://github.com/abishekvashok/cmatrix
Vcs-Git: https://salsa.debian.org/debian/cmatrix.git
Vcs-Browser: https://salsa.debian.org/debian/cmatrix

Package: cmatrix
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: kbd
Suggests: cmatrix-xfont
Description: simulates the display from "The Matrix"
 Screen saver for the terminal based in the movie "The Matrix". It works in
 terminals of all dimensions and have the following features:
  * Support terminal resize.
  * Screen saver mode: any key closes it.
  * Selectable color.
  * Change text scroll rate.

Package: cmatrix-xfont
Section: x11
Architecture: all
Depends: ${misc:Depends}
Recommends: cmatrix
Description: X11 font for cmatrix
 Console Matrix simulates the display from "The Matrix", this package provides
 the font to run cmatrix in an xterm.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installxfonts:
	dh_installxfonts -pcmatrix-xfont

=== debian/tests/control ===
Test-Command: cmatrix -v
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/abishekvashok/cmatrix/tags .*/tags/v?(\d\S+)@ARCHIVE_EXT@
